
QGIS Application - Bug report #7881

WFS-T client on master cannot commit changes

2013-05-22 11:39 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee:

Category: QGIS Server

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 16755

Description

The "add features" button is always disabled in when editing a WFS-T layer on master. It works on QGIS 1.8.

Tested with both QGIS Server and TinyOWS server.

History

#1 - 2013-06-26 01:03 AM - Giovanni Manghi

- Subject changed from WFS-T client on master cannot add features to WFS-T client on master cannot commit changes

The "add feature" button is now active, but any try to commit an edit (on a wfs layer that in the server is a postgis layer) results in

Errors: ERROR: 1 feature(s) not added.

#2 - 2013-06-29 02:28 PM - Salvatore Larosa

Confirmed here with the same error!

#3 - 2013-06-29 02:50 PM - Salvatore Larosa

just tried on Lisboa and I got the same error !

my testcase is with http://lrssvt.ns0.it/cgi-bin/wfs_catasto/qgis_mapserv.fcgi?SERVICE=WFS&#38;REQUEST=GetCapabilities

that may be used for your tests too.

delete and update operations work properly both master and 1.8.

#4 - 2013-06-30 08:01 AM - Giovanni Manghi

Salvatore Larosa wrote:

just tried on Lisboa and I got the same error !

my testcase is with http://lrssvt.ns0.it/cgi-bin/wfs_catasto/qgis_mapserv.fcgi?SERVICE=WFS&#38;REQUEST=GetCapabilities

that may be used for your tests too.
delete and update operations work properly both master and 1.8.

with

http://mapserver.uevora.pt/cgi-bin/qgis_mapserv.fcgi?map=/home/mapserver/wfs/test_wfs.qgs

it it fails also with update and delete (the layer is a polygon one, "evora_pg_wfst", and it has the right permissions).

#5 - 2013-06-30 08:22 AM - Giovanni Manghi

delete and update operations work properly both master and 1.8.

I tested also 1.8, and now oddly it fails (all kind of edit operations) also in 1.8 (I'm sure that when I originally filed the ticket it worked).

#6 - 2013-07-02 06:21 AM - Giovanni Manghi

update and delete now works, adding still does not.

#7 - 2013-07-02 06:36 AM - Salvatore Larosa

using shp file has worked here:

http://lrssvt.ns0.it/cgi-bin/qgis_mapserv.fcgi?map=/home/sam/Scaricati/linien/test2_wfs.qgs&#38;SERVICE=WFS&#38;REQUEST=GetCapabilities

maybe a problem with postgres provider ?

#8 - 2013-07-02 11:53 AM - Salvatore Larosa

I am not sure if this may be considered a WFS Client issue.

I think it is a QGIS Server issue. WFS-T created with QGIS Server and PostGIS layers

doesn't enable you to add new features while if WFS-T has been created with SHP layer everything works fine!

Do you think these are two different issues ?

#9 - 2013-07-05 02:56 AM - Giovanni Manghi

- Category changed from Web Services clients/WFS to QGIS Server

#10 - 2013-07-13 05:42 AM - Salvatore Larosa

The point is:

------------------------------------------

Data Provider | Update | Insert | Delete

------------------------------------------

Spatialite    |  Yes   |  Yes   |  Yes

------------------------------------------
Shapefile     |  Yes   |  Yes   |  Yes

------------------------------------------

PostGIS       |  Yes   |  No    |  Yes

------------------------------------------

#11 - 2013-07-13 09:09 AM - Giovanni Manghi

Salvatore Larosa wrote:

The point is:

[...]

I don't think that SL is supported at all by wfs-t, but not sure 100%

#12 - 2013-07-13 11:22 AM - Jürgen Fischer

Salvatore Larosa wrote:

The point is:

[...]

does the user running the mapserver have r/w access to the sqlite database and the directory it's in?

#13 - 2013-07-13 01:42 PM - Salvatore Larosa

Jürgen Fischer wrote:

does the user running the mapserver have r/w access to the sqlite database and the directory it's in?

Yes, the www-data user has rw access to the DB.

#14 - 2013-07-13 01:54 PM - Jürgen Fischer

Salvatore Larosa wrote:

Jürgen Fischer wrote:

does the user running the mapserver have r/w access to the sqlite database and the directory it's in?

Yes, the www-data user has rw access to the DB.

And the directory?

2025-04-27 3/5



#15 - 2013-07-13 10:49 PM - Salvatore Larosa

Jürgen Fischer wrote:

Salvatore Larosa wrote:

Jürgen Fischer wrote:

does the user running the mapserver have r/w access to the sqlite database and the directory it's in?

Yes, the www-data user has rw access to the DB.

And the directory?

Sorry Jürgen for this, I updated the comment 10 with three Yes for Spatialite provider.

Directory was without write access for www-data.

#16 - 2013-07-14 08:28 AM - Jürgen Fischer

- Status changed from Open to Feedback

Did you try to add/update multilines/multipoints in postgis?  That should be solved with commit:95874fe8b3

#17 - 2013-07-14 08:40 AM - Salvatore Larosa

I just tried to add a multiline but it has not worked for me.

#18 - 2013-07-14 11:31 AM - Jürgen Fischer

Salvatore Larosa wrote:

I just tried to add a multiline but it has not worked for me.

Try with commit:6d48f11e5 please.

#19 - 2013-07-14 11:51 AM - Salvatore Larosa

Works, even with my testcase in comment 3.

I think this may be closed.

Thanks a lot!

#20 - 2013-07-14 12:06 PM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to fixed
Salvatore Larosa wrote:

Works, even with my testcase in comment 3.

I think this may be closed.

Thanks a lot!

I cannot compile until tomorrow, but hey, if it works... it works! :) Thanks Jurgen and Salvatore!
